import request from "@/utils/request";

// 列表
export function list(data) {
  return request({
    url: `/store/store/page`,
    method: "post",
    data,
  });
}

// 省、市、区
export function areaOptions() {
  return request({
    url: `/common/query/province/city/area`,
    method: "get",
  });
}

// 详情
export function detail(data) {
  return request({
    url: `/store/store/get`,
    method: "post",
    data,
  });
}

// 新增
export function submit(data) {
  return request({
    url: `/store/store/add`,
    method: 'post',
    data,
  });
}

// 修改
export function edit(data) {
  return request({
    url: `/store/store/edit`,
    method: "put",
    data,
  });
}

// 删除
export function remove(data) {
  return request({
    url: `/store/store/remove`,
    method: "delete",
    data,
  });
}
